
From: Sascha Hauer <s.hauer@pengutronix.de>

This patch fixes two bugs in the dm9000 network driver:

- Don't read one byte too much in 8bit mode.
- release correct resource

Signed-off-by: Jochen Karrer <j.karrer@lightmaze.com>
Signed-off-by: Sascha Hauer <s.hauer@pengutronix.de>
Cc: Jeff Garzik <jgarzik@pobox.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/dm9000.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/net/dm9000.c~dm9000-network-driver-bugfix drivers/net/dm9000.c
--- 25/drivers/net/dm9000.c~dm9000-network-driver-bugfix	2005-05-13 23:44:25.000000000 -0700
+++ 25-akpm/drivers/net/dm9000.c	2005-05-13 23:44:25.000000000 -0700
@@ -224,7 +224,7 @@ static void dm9000_outblk_32bit(void __i
 
 static void dm9000_inblk_8bit(void __iomem *reg, void *data, int count)
 {
-	readsb(reg, data, count+1);
+	readsb(reg, data, count);
 }
 
 
@@ -364,7 +364,7 @@ dm9000_release_board(struct platform_dev
 	}
 
 	if (db->addr_res != NULL) {
-		release_resource(db->data_req);
+		release_resource(db->addr_res);
 		kfree(db->addr_req);
 	}
 }
_
